Package org.apache.catalina.users

## Class MemoryUser

- java.lang.Object
- - org.apache.catalina.users.AbstractUser
  - - org.apache.catalina.users.GenericUser<MemoryUserDatabase>
    - - org.apache.catalina.users.MemoryUser

- All Implemented Interfaces:
    `java.security.Principal`, `User`

      @Deprecated
      public class MemoryUser
      extends GenericUser<MemoryUserDatabase>

  Deprecated.
  Use `GenericUser` instead.

  Concrete implementation of `User` for the `MemoryUserDatabase` implementation of `UserDatabase`.

  Since:
    4.1
  Author:
    Craig R. McClanahan

- - ### Field Summary

    - ### Fields inherited from class org.apache.catalina.users.GenericUser

      `database, groups, roles`

    - ### Fields inherited from class org.apache.catalina.users.AbstractUser

      `fullName, password, username`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `toString()` | Deprecated. Return a String representation of this user.
    `java.lang.String` | `toXml()` | Deprecated. Return a String representation of this user in XML format.

    - ### Methods inherited from class org.apache.catalina.users.GenericUser

      `addGroup, addRole, equals, getGroups, getRoles, getUserDatabase, hashCode, isInGroup, isInRole, removeGroup, removeGroups, removeRole, removeRoles, setFullName, setPassword, setUsername`

    - ### Methods inherited from class org.apache.catalina.users.AbstractUser

      `getFullName, getName, getPassword, getUsername`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.security.Principal

      `implies`

- - ### Method Detail

    - #### toXml

          public java.lang.String toXml()

      Deprecated.

      Return a String representation of this user in XML format.

      IMPLEMENTATION NOTE - For backwards compatibility, the reader that processes this entry will accept either `username` or `name` for the username property.

      Returns:
        the XML representation

    - #### toString

          public java.lang.String toString()

      Deprecated.

      Return a String representation of this user.

      Specified by:
        `toString` in interface `java.security.Principal`
      Overrides:
        `toString` in class `java.lang.Object`